Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# EntityString Class Reference
[XML Parser]

Inheritance diagram for EntityString:

## Detailed Description

String with xml entities recognition.

Extends next entities:

- & -> &
- < -> <
- > -> >
- " -> "
- ' -> '

## Public Methods

| EntityString (const String *cstring, int s, int l)
wchar | operator[] (int i) const
int | length () const
String * | substring (int s, int l=-1) const

## Protected Attributes

wchar * | wstr
int | len

## Member Function Documentation

wchar EntityString::operator[] | ( | int | i | ) | const`[inline, virtual]`

| !!error Implements String.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:55 2003 by doxygen 1.3-rc2.